﻿Imports System.Device.Location

Partial Public Class MainPage
    Inherits PhoneApplicationPage

    ' Constructor
    Public Sub New()
        InitializeComponent()
    End Sub

    Private Sub button1_Click(ByVal sender As Object, ByVal e As RoutedEventArgs)
        Dim myWatcher As New GeoCoordinateWatcher()

        Dim myPosition = myWatcher.Position

        ' In this case,since we're not working with a device, I'll just
        ' set a default value.  If we cannot get the current location,
        ' then we'll default to Redmond, WA.
        Dim latitude = 47.674
        Dim longitude = -122.12

        If Not myPosition.Location.IsUnknown Then
            latitude = myPosition.Location.Latitude
            longitude = myPosition.Location.Longitude
        End If

        Dim client As New myTerraService.TerraServiceSoapClient()

        AddHandler client.ConvertLonLatPtToNearestPlaceCompleted, AddressOf client_ConvertLonLatPtToNearestPlaceCompleted

        client.ConvertLonLatPtToNearestPlaceAsync(New myTerraService.LonLatPt With {.Lat = latitude, .Lon = longitude})


    End Sub

    Private Sub client_ConvertLonLatPtToNearestPlaceCompleted(ByVal sender As Object, ByVal e As myTerraService.ConvertLonLatPtToNearestPlaceCompletedEventArgs)
        textBlock1.Text = e.Result
        ' Throw New NotImplementedException()
    End Sub
End Class
